# Get List of Projects

You can retrieve a list of projects. It will return a paginated response.

It could be filtered, and the detailed attributes can be seen below.

* Query: [getProjects](https://api-docs.datasaur.ai/#query-getProjects).

{% hint style="info" %}
You can easily find the team ID in the URL. For the example below, the teamID is 1500.
{% endhint %}

![](https://448889121-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MbjY0HseEqu7LtYAt4d%2Fuploads%2Fgit-blob-26876fd01375499346dfbfe7122bf929a9075b28%2Fimage%20\(229\).png?alt=media)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datasaur.ai/api/get-data/get-list-of-projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
